package com.gamedog.vididin.events

import com.gamedog.vididin.beans.OnLoginStateEvent
import com.pengxr.modular.eventbus.facade.annotation.EventGroup


@EventGroup(moduleName = "user", autoClear = true)
interface UserEvents {

    /**
     * 登录状态变更
     */
    fun onLoginStatusChanged(): OnLoginStateEvent

    /**
     * 用户信息发生改变
     */
    fun onUserInfoChanged()

    /**
     * 用户未读消息数改变
     */
    fun onUserUnReadChanged()
}